Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlbeans
Class XmlSimpleList

    java.lang.Object
      org.apache.xmlbeans.XmlSimpleList

All Implemented Interfaces:
  Serializable, Iterable, Collection, List

    public class XmlSimpleList

extends Object
implements List, Serializable

The immutable `List` returned for XML simple list values. XmlSimpleList implements an equals() and hashCode() that compare list contents, so two XmlSimpleLists are the same if they have the same values in the same order.

See Also:
  Serialized Form

Constructor Summary
`XmlSimpleList(List list)` Constructs an immutable XmlSimpleList that wraps (does not copy) the given `List`.

Method Summary
`void` | `add(int index, Object element)` Unsupported because this list is immutable.
`boolean` | `add(Object o)` Unsupported because this list is immutable.
`boolean` | `addAll(Collection coll)` Unsupported because this list is immutable.
`boolean` | `addAll(int index, Collection c)` Unsupported because this list is immutable.
`void` | `clear()` Unsupported because this list is immutable.
`boolean` | `contains(Object o)` True if the list is contains an object equal to o.
`boolean` | `containsAll(Collection coll)` True if the list is contains all the objects in the given collection.
`boolean` | `equals(Object o)` Two XmlSimpleLists are equal if all their items are equal.
`Object` | `get(int index)` Returns the object at the specified position in this list.
`int` | `hashCode()` Combines the hash codes of all the list items.
`int` | `indexOf(Object o)` Returns index of the first occurance of an object equal to o.
`boolean` | `isEmpty()` True if the list is empty.
`Iterator` | `iterator()` Returns an iterator over the elements in this list in proper sequence.
`int` | `lastIndexOf(Object o)` Returns index of the last occurance of an object equal to o.
`ListIterator` | `listIterator()` Returns a list iterator of the elements in this list in proper sequence.
`ListIterator` | `listIterator(int index)` Returns a list iterator of the elements in this list in proper sequence, starting at the specified position in this list.
`Object` | `remove(int index)` Unsupported because this list is immutable.
`boolean` | `remove(Object o)` Unsupported because this list is immutable.
`boolean` | `removeAll(Collection coll)` Unsupported because this list is immutable.
`boolean` | `retainAll(Collection coll)` Unsupported because this list is immutable.
`Object` | `set(int index, Object element)` Unsupported because this list is immutable.
`int` | `size()` Returns the number of elements in this list.
`List` | `subList(int from, int to)` Returns a view of the portion of this list between the specified fromIndex, inclusive, and toIndex, exclusive.
`Object[]` | `toArray()` Copies the collection to an array.
`Object[]` | `toArray(Object[] a)` Copies the collection to an array of a specified type.
`String` | `toString()` Returns a space-separated list of the string representations of all the items in the list.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlSimpleList

    public XmlSimpleList(List list)

  Constructs an immutable XmlSimpleList that wraps (does not copy) the given `List`. All non-mutating methods delegate to the underlying List instance.

Method Detail

### size

    public int size()

  Returns the number of elements in this list.

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`

### isEmpty

    public boolean isEmpty()

  True if the list is empty.

  Specified by:
    `isEmpty` in interface `Collection`
  Specified by:
    `isEmpty` in interface `List`

### contains

    public boolean contains(Object o)

  True if the list is contains an object equal to o.

  Specified by:
    `contains` in interface `Collection`
  Specified by:
    `contains` in interface `List`

### containsAll

    public boolean containsAll(Collection coll)

  True if the list is contains all the objects in the given collection.

  Specified by:
    `containsAll` in interface `Collection`
  Specified by:
    `containsAll` in interface `List`

### toArray

    public Object[] toArray()

  Copies the collection to an array.

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`

### toArray

    public Object[] toArray(Object[] a)

  Copies the collection to an array of a specified type.

  Specified by:
    `toArray` in interface `Collection`
  Specified by:
    `toArray` in interface `List`

### add

    public boolean add(Object o)

  Unsupported because this list is immutable.

  Specified by:
    `add` in interface `Collection`
  Specified by:
    `add` in interface `List`

### addAll

    public boolean addAll(Collection coll)

  Unsupported because this list is immutable.

  Specified by:
    `addAll` in interface `Collection`
  Specified by:
    `addAll` in interface `List`

### remove

    public boolean remove(Object o)

  Unsupported because this list is immutable.

  Specified by:
    `remove` in interface `Collection`
  Specified by:
    `remove` in interface `List`

### removeAll

    public boolean removeAll(Collection coll)

  Unsupported because this list is immutable.

  Specified by:
    `removeAll` in interface `Collection`
  Specified by:
    `removeAll` in interface `List`

### retainAll

    public boolean retainAll(Collection coll)

  Unsupported because this list is immutable.

  Specified by:
    `retainAll` in interface `Collection`
  Specified by:
    `retainAll` in interface `List`

### clear

    public void clear()

  Unsupported because this list is immutable.

  Specified by:
    `clear` in interface `Collection`
  Specified by:
    `clear` in interface `List`

### get

    public Object get(int index)

  Returns the object at the specified position in this list.

  Specified by:
    `get` in interface `List`

### set

    public Object set(int index,
                      Object element)

  Unsupported because this list is immutable.

  Specified by:
    `set` in interface `List`

### add

    public void add(int index,
                    Object element)

  Unsupported because this list is immutable.

  Specified by:
    `add` in interface `List`

### remove

    public Object remove(int index)

  Unsupported because this list is immutable.

  Specified by:
    `remove` in interface `List`

### indexOf

    public int indexOf(Object o)

  Returns index of the first occurance of an object equal to o.

  Specified by:
    `indexOf` in interface `List`

### lastIndexOf

    public int lastIndexOf(Object o)

  Returns index of the last occurance of an object equal to o.

  Specified by:
    `lastIndexOf` in interface `List`

### addAll

    public boolean addAll(int index,
                          Collection c)

  Unsupported because this list is immutable.

  Specified by:
    `addAll` in interface `List`

### subList

    public List subList(int from,
                        int to)

  Returns a view of the portion of this list between the specified fromIndex, inclusive, and toIndex, exclusive.

  Specified by:
    `subList` in interface `List`

### iterator

    public Iterator iterator()

  Returns an iterator over the elements in this list in proper sequence.

  Specified by:
    `iterator` in interface `Iterable`
  Specified by:
    `iterator` in interface `Collection`
  Specified by:
    `iterator` in interface `List`

### listIterator

    public ListIterator listIterator()

  Returns a list iterator of the elements in this list in proper sequence.

  Specified by:
    `listIterator` in interface `List`

### listIterator

    public ListIterator listIterator(int index)

  Returns a list iterator of the elements in this list in proper sequence, starting at the specified position in this list.

  Specified by:
    `listIterator` in interface `List`

### toString

    public String toString()

  Returns a space-separated list of the string representations of all the items in the list. For most lists, this is a valid xml lexical value for the list. (The notable exception is a list of QNames.)

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Two XmlSimpleLists are equal if all their items are equal. (They must have the same number of items, and the items must be in the same order.)

  Specified by:
    `equals` in interface `Collection`
  Specified by:
    `equals` in interface `List`
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Combines the hash codes of all the list items.

  Specified by:
    `hashCode` in interface `Collection`
  Specified by:
    `hashCode` in interface `List`
  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD